package transaction;



/**
 * A problem occurred that caused the transaction to abort.  Perhaps
 * deadlock was the problem, or perhaps a device or communication 
 * failure caused this operation to abort the transaction.
 */
public class TransactionAbortedException extends Exception {
    /**
	 * 
	 */
	private static final long serialVersionUID = -4588550228023748727L;

	public TransactionAbortedException(int Xid, String msg) {
	super("The transaction " + Xid + " aborted:" + msg);
    }
}
